Package com.microblink.blinkid.results.ocr

# Class OcrLine

java.lang.Object
com.microblink.blinkid.results.ocr.OcrLine

All Implemented Interfaces:
  `android.os.Parcelable`

public class OcrLine extends Object implements android.os.Parcelable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<OcrLine>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OcrLine(long nativePtr, OcrBlock parentBlock)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `CharWithVariants[]`
  `getChars()`
  `Rectangle`
  `getPosition()`
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    @NonNull public static final android.os.Parcelable.Creator<OcrLine> CREATOR

- ## Constructor Details

  - ### OcrLine

    public OcrLine(long nativePtr, @Nullable OcrBlock parentBlock)

- ## Method Details

  - ### getPosition

    @Nullable public Rectangle getPosition()
    Returns:
      the position

  - ### getChars

    @Nullable public CharWithVariants[] getChars()
    Returns:
      the chars

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`